<style lang="less">
@import '@/assets/css/vars';
.SectionFactors {
    h2 {
        color: @color-darkblue;
        text-align: center;
    }
    ul {
        display: grid;
        grid-template-columns: repeat(3, auto);
        gap: 2.5rem;
    }
    li {
        display: flex;
        flex-flow: row nowrap;
        align-items: center;
        white-space: nowrap;
    }
    li > i {
        flex: 0 0 auto;
        margin: 0 1.25rem 0 0;
        width: 90px;
        height: 90px;
        overflow: hidden;
        background: @color-darkblue;
        display: block;
        color: white;
        text-align: center;
        font-size: 46px;
        line-height: 90px;
        box-sizing: border-box;
        border-radius: 50%;
        &.icon-social {
            padding: 0 6px 0 0;
            font-size: 40px;
        }
        &.icon-connections {
            padding: 0 16px 0 0;
            font-size: 32px;
        }
        &.icon-nutritions {
            padding: 0 0 0 2px;
        }
        &.icon-climate {
            padding: 0 0 0 0px;
        }
    }
}
</style>

<template>
<div class="SectionFactors">
    <h2>Longevity Factors</h2>
    <ul>
        <li>
            <i class="icon-social"/>
            <span>Social Recognition</span>
        </li>
        <li>
            <i class="icon-fitness"/>
            <span>Fitness &amp; Wellness Activity</span>
        </li>
        <li>
            <i class="icon-connections"/>
            <span>Social Connections</span>
        </li>
        <li>
            <i class="icon-work"/>
            <span>Work</span>
        </li>
        <li>
            <i class="icon-nutritions"/>
            <span>Balanced Nutrition's</span>
        </li>
        <li>
            <i class="icon-climate"/>
            <span>Mild Climate</span>
        </li>
    </ul>
</div>
</template>

<script lang="ts">
import {Vue, Options} from '@/vue';
@Options<SectionFactors>({})
export default class SectionFactors extends Vue {}
</script>
